Повышение привилегий в GIT

Дата публикации:
29.12.2008
Дата изменения:
29.12.2008
Всего просмотров:
2091
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GIT 1.x
Уязвимые версии: GIT версии до 1.5.4.7, 1.5.5.6, 1.5.6.6 и 1.6.0.6

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за недостаточной проверки конфигурационных переменных репозитория в "gitweb". Локальный пользователь может с помощью специально сформированной конфигурационной переменной "diff.external" выполнить произвольные команды на системе с привилегиями пользователя "gitweb".

URL производителя: www.kernel.org/pub/software/scm/git/docs/

Решение: Установите последнюю версию 1.5.4.7, 1.5.5.6, 1.5.6.6 или 1.6.0.6 с сайта производителя.

Ссылки: http://article.gmane.org/gmane.comp.version-control.git/103

или введите имя

CAPTCHA